
import 'peachpluginsampletest_platform_interface.dart';
import 'package:flutter/services.dart';

class Peachpluginsampletest {
  static const MethodChannel _channel =
  const MethodChannel('my_dialog_plugin');

  static Future<void> showAlert(String title, String message) async {
    try {
      await _channel.invokeMethod('showAlert', {'title': title, 'message': message});
    } on PlatformException catch (e) {
      print("Failed to show alert: '${e.message}'.");
    }
  }

  static Future<void> sendCardDetails(String cardNumber, String cardExp,String cardCVV,String cardHolderName) async {
    try {
      await _channel.invokeMethod('sendPaymentCard', {'cardNum': cardNumber,'cardHolderName':cardHolderName, 'cardExp': cardExp,'cardCVV':cardCVV });
    } on PlatformException catch (e) {
      print("Failed to show alert: '${e.message}'.");
    }
  }
}

